package cn.com.tenlion.configtable.pojo.dtos.configtable;

import cn.com.tenlion.configtable.pojo.dtos.configtablefield.ConfigTableFieldDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @ClassName: ConfigTableDTO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-24 10:59:30
 * @Version: 3.0
 **/
@ApiModel
public class ConfigTableDTO {

    @ApiModelProperty(name = "configTableId", value = "表单配置")
    private String configTableId;
    @ApiModelProperty(name = "configTableNumber", value = "表单编号")
    private String configTableNumber;
    @ApiModelProperty(name = "configTableCode", value = "数据库表名")
    private String configTableCode;
    @ApiModelProperty(name = "configTableName", value = "表单描述")
    private String configTableName;
    @ApiModelProperty(name = "configTableActivation", value = "激活状态1:已激活,0:未激活")
    private String configTableActivation;
    @ApiModelProperty(name = "configTableActivationTime", value = "激活时间")
    private String configTableActivationTime;
    @ApiModelProperty(name = "configTableRemark", value = "备注内容")
    private String configTableRemark;
    @ApiModelProperty(name = "configTableMode", value = "表单存储方式1:一条,2:多条")
    private String configTableMode;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;
    @ApiModelProperty(name = "configTableFieldList", value = "表单字段")
    private List<ConfigTableFieldDTO> configTableFieldList;

    public List<ConfigTableFieldDTO> getConfigTableFieldList() {
        if (configTableFieldList == null) {
            return new ArrayList<>();
        }
        return configTableFieldList;
    }

    public void setConfigTableFieldList(List<ConfigTableFieldDTO> configTableFieldList) {
        this.configTableFieldList = configTableFieldList;
    }

    public String getConfigTableId() {
        return configTableId == null ? "" : configTableId.trim();
    }

    public void setConfigTableId(String configTableId) {
        this.configTableId = configTableId;
    }

    public String getConfigTableNumber() {
        return configTableNumber == null ? "" : configTableNumber.trim();
    }

    public void setConfigTableNumber(String configTableNumber) {
        this.configTableNumber = configTableNumber;
    }

    public String getConfigTableCode() {
        return configTableCode == null ? "" : configTableCode.trim();
    }

    public void setConfigTableCode(String configTableCode) {
        this.configTableCode = configTableCode;
    }

    public String getConfigTableName() {
        return configTableName == null ? "" : configTableName.trim();
    }

    public void setConfigTableName(String configTableName) {
        this.configTableName = configTableName;
    }

    public String getConfigTableActivation() {
        return configTableActivation == null ? "" : configTableActivation.trim();
    }

    public void setConfigTableActivation(String configTableActivation) {
        this.configTableActivation = configTableActivation;
    }

    public String getConfigTableActivationTime() {
        return configTableActivationTime == null ? "" : configTableActivationTime.trim();
    }

    public void setConfigTableActivationTime(String configTableActivationTime) {
        this.configTableActivationTime = configTableActivationTime;
    }

    public String getConfigTableRemark() {
        return configTableRemark == null ? "" : configTableRemark.trim();
    }

    public void setConfigTableRemark(String configTableRemark) {
        this.configTableRemark = configTableRemark;
    }

    public String getConfigTableMode() {
        return configTableMode == null ? "" : configTableMode.trim();
    }

    public void setConfigTableMode(String configTableMode) {
        this.configTableMode = configTableMode;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
